## com.lowagie.text.rtf
Class RtfTOCEntry

    java.lang.Object
      com.lowagie.text.Chunk
          com.lowagie.text.rtf.RtfTOCEntry

All Implemented Interfaces:
  Element, MarkupAttributes, RtfField

public class RtfTOCEntry
extends Chunk
implements RtfField

This class can be used to insert entries for a table of contents into the RTF document. ONLY FOR USE WITH THE RtfWriter NOT with the RtfWriter2. This class is based on the RtfWriter-package from Mark Hall.

Version:
  $Revision: 1.22 $Date: 2004/12/14 15:14:44 $
Author:
  Steffen.Stundzig@smb-tec.com

Field Summary
`private Font` `contentFont`
`private Font` `entryFont`
`private String` `entryName`
`private boolean` `hidePageNumber`
`private boolean` `hideText`

Fields inherited from class com.lowagie.text.Chunk
`ACTION, attributes, BACKGROUND, COLOR, content, ENCODING, font, GENERICTAG, HSCALE, HYPHENATION, IMAGE, LOCALDESTINATION, LOCALGOTO, markupAttributes, NEWLINE, NEWPAGE, NEXTPAGE, OBJECT_REPLACEMENT_CHARACTER, PDFANNOTATION, REMOTEGOTO, SKEW, SPLITCHARACTER, SUBSUPSCRIPT, TEXTRENDERMODE, UNDERLINE`

Fields inherited from interface com.lowagie.text.Element

`ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, GRAPHIC, HEADER, IMGRAW, IMGTEMPLATE, JPEG, KEYWORDS, LIST, LISTITEM, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE`

Constructor Summary
`RtfTOCEntry(String content, Font contentFont)` Constructs an entry for the Table of Contents
`RtfTOCEntry(String content, Font contentFont, String entryName, Font entryFont)` Constructs an entry for the Table of Contents

Method Summary
`void` `hidePageNumber()` sets the hidePageNumber value to true
`void` `hideText()` sets the hideText value to true
`void` `write(RtfWriter writer, OutputStream out)` Writes an RTF field.
`private void` `writeField(OutputStream out)`

Methods inherited from class com.lowagie.text.Chunk

`addToArray, append, content, font, getAttributes, getChunks, getHorizontalScaling, getImage, getKeySet, getMarkupAttribute, getMarkupAttributeNames, getMarkupAttributes, getTextRise, getWidthPoint, hasAttributes, isEmpty, isTag, process, setAction, setAnchor, setAnchor, setAnnotation, setBackground, setBackground, setFont, setGenericTag, setHorizontalScaling, setHyphenation, setLocalDestination, setLocalGoto, setMarkupAttribute, setMarkupAttributes, setNewPage, setRemoteGoto, setRemoteGoto, setSkew, setSplitCharacter, setTextRenderMode, setTextRise, setUnderline, setUnderline, toString, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### hideText

    private boolean hideText

### hidePageNumber

    private boolean hidePageNumber

### entryName

    private String entryName

### entryFont

    private Font entryFont

### contentFont

    private Font contentFont

Constructor Detail

### RtfTOCEntry

    public RtfTOCEntry(String content,
                       Font contentFont)

  Constructs an entry for the Table of Contents

Parameters:
  `content` - the content of the entry
  `contentFont` - the font

### RtfTOCEntry

    public RtfTOCEntry(String content,
                       Font contentFont,
                       String entryName,
                       Font entryFont)

  Constructs an entry for the Table of Contents

Parameters:
  `content` - the content of the entry
  `contentFont` - the font
  `entryName` - name of the entry
  `entryFont` - font of the entryname

Method Detail

### write

    public void write(RtfWriter writer,
                      OutputStream out)
               throws IOException

  Description copied from interface: `RtfField`
  Writes an RTF field.

  Specified by:
    `write` in interface `RtfField`
  Parameters:
    `writer` -
    `out` -
  Throws:
    `IOException`
  See Also:
    `RtfField.write(com.lowagie.text.rtf.RtfWriter, java.io.OutputStream)`

### writeField

    private void writeField(OutputStream out)
                     throws IOException

  Throws:
    `IOException`

### hideText

    public void hideText()

  sets the hideText value to true

### hidePageNumber

    public void hidePageNumber()

  sets the hidePageNumber value to true